#
# $Id: Makefile.in,v 1.3 2002/09/12 04:46:34 ri Exp $
#
SHELL=/bin/sh
RM=@RM@ -f
prefix=@prefix@
exec_prefix=@exec_prefix@
INSTALL=@INSTALL@

SUBDIRS=mkdfa generate accept_check nextword yomi2voca gram2sapixml

all:
	for d in $(SUBDIRS); do \
	  (cd $$d; $(MAKE)); \
	done

install:
	for d in $(SUBDIRS); do \
	  (cd $$d; $(MAKE) install); \
	done

install.man.ja:
	echo nothing to be installed for libsent.

clean:
	for d in $(SUBDIRS); do \
	  (cd $$d; $(MAKE) clean); \
	done
	$(RM) config.log config.cache


distclean:
	for d in $(SUBDIRS); do \
	  if test -f $$d/Makefile; then \
	   (cd $$d; $(MAKE) distclean); \
	  fi; \
	done
	$(RM) config.log config.cache
	$(RM) config.status
	$(RM) Makefile
